Get an asset
curl --request GET \
--url https://api.docusnap365.com/api/v1/asset/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.docusnap365.com/api/v1/asset/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.docusnap365.com/api/v1/asset/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}"<string>""<string>""<string>"Assets
Get an asset
Returns one asset: core data, data of its type, quick view, ITAM and
ISMS data. select restricts the fields.
Permission: Read.
GET
/
asset
/
{id}
Get an asset
Authorizations
API key from Docusnap365 (Administration › API keys). Read endpoints require the Read permission, write endpoints require Write.
Path Parameters
ID of the asset.
Query Parameters
JSON array of the fields to return.
Response
Result set. If an expand was not delivered completely, incompleteExpands carries one cursor per expand for POST /assets/expand or POST /cursor/continue.
The response is of type object.